Loading...
Searching...
No Matches
wayland::server::xdg_activation_v1_t Class Reference

interface for activating surfaces More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::server::resource_t.

## Public Member Functions

std::function< void()> & | on_destroy ()
| destroy the xdg_activation object
std::function< void(xdg_activation_token_v1_t)> & | on_get_activation_token ()
| requests a token
std::function< void(std::string, surface_t)> & | on_activate ()
| notify new interaction being available
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Detailed Description

interface for activating surfaces

A global interface used for informing the compositor about applications being activated or started, or for applications to request to be activated.

Definition at line 7514 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_activate()

std::function< void(std::string, surface_t)> & xdg_activation_v1_t::on_activate | ( |  | ) |

notify new interaction being available

Parameters

  token | the activation token of the initiating client
  surface | the wl_surface to activate

Requests surface activation. It's up to the compositor to display this information as desired, for example by placing the surface above the rest.

The compositor may know who requested this by checking the activation token and might decide not to follow through with the activation if it's considered unwanted.

Compositors can ignore unknown presentation tokens when an invalid token is passed.

Definition at line 7435 of file wayland-server-protocol-unstable.cpp.

## on_destroy()

std::function< void()> & xdg_activation_v1_t::on_destroy | ( |  | ) |

destroy the xdg_activation object

Notify the compositor that the xdg_activation object will no longer be used.

The child objects created via this interface are unaffected and should be destroyed separately.

Definition at line 7423 of file wayland-server-protocol-unstable.cpp.

## on_get_activation_token()

std::function< void(xdg_activation_token_v1_t)> & xdg_activation_v1_t::on_get_activation_token | ( |  | ) |

requests a token

Parameters

  id |

Creates an xdg_activation_token_v1 object that will provide the initiating client with a unique token for this activation. This token should be offered to the clients to be activated.

Definition at line 7429 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp